From 35297d487eb099c0d42fba5e8fb768a8b7bec7ea Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 17 Oct 2014 10:08:24 -0400
Subject: [PATCH] [kernel] upgrade from 3.10.49 to 3.10.58

[kernel] upgrade from 3.10.49 to 3.10.58

removed 062-mips_decompressor_build_fix.patch, which seems to be obsolete
because of commit 29593fd5a8149462ed6fad0d522234facdaee6c8 upstream

compile and run-tested on ar71xx

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 include/kernel-version.mk                          |    4 +-
 target/linux/ar7/Makefile                          |    2 +-
 target/linux/ar71xx/Makefile                       |    2 +-
 target/linux/au1000/Makefile                       |    2 +-
 target/linux/avr32/Makefile                        |    2 +-
 target/linux/cns21xx/Makefile                      |    2 +-
 target/linux/cns3xxx/Makefile                      |    2 +-
 target/linux/gemini/Makefile                       |    2 +-
 .../062-mips_decompressor_build_fix.patch          |   66 --------------------
 target/linux/ixp4xx/Makefile                       |    2 +-
 target/linux/malta/Makefile                        |    2 +-
 target/linux/mpc85xx/Makefile                      |    2 +-
 target/linux/orion/Makefile                        |    2 +-
 target/linux/ppc40x/Makefile                       |    2 +-
 target/linux/ppc44x/Makefile                       |    2 +-
 target/linux/realview/Makefile                     |    2 +-
 target/linux/sparc/Makefile                        |    2 +-
 target/linux/x86/Makefile                          |    2 +-
 target/linux/xburst/Makefile                       |    2 +-
 19 files changed, 19 insertions(+), 85 deletions(-)
 delete mode 100644 target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch

diff --git a/include/kernel-version.mk b/include/kernel-version.mk
index 3afe953..1075d0f 100644
--- a/include/kernel-version.mk
+++ b/include/kernel-version.mk
@@ -8,8 +8,8 @@ endif
 ifeq ($(LINUX_VERSION),3.8.13)
   LINUX_KERNEL_MD5SUM:=2af19d06cd47ec459519159cdd10542d
 endif
-ifeq ($(LINUX_VERSION),3.10.49)
-  LINUX_KERNEL_MD5SUM:=9774e12764e740d49c80eda77d0ef3eb
+ifeq ($(LINUX_VERSION),3.10.58)
+  LINUX_KERNEL_MD5SUM:=3ff3478b6351143cef22d4b81cf48b01
 endif
 ifeq ($(LINUX_VERSION),3.13.7)
   LINUX_KERNEL_MD5SUM:=370adced5e5c1cb1d0d621c2dae2723f
diff --git a/target/linux/ar7/Makefile b/target/linux/ar7/Makefile
index 3f40e57..d8c98e9 100644
--- a/target/linux/ar7/Makefile
+++ b/target/linux/ar7/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs atm low_mem
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 SUBTARGETS:=generic ac49x
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index 1b40074..0bf1ed1 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/au1000/Makefile b/target/linux/au1000/Makefile
index 9a2e4f5..3cc3233 100644
--- a/target/linux/au1000/Makefile
+++ b/target/linux/au1000/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs usb pci
 SUBTARGETS=au1500 au1550
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 DEFAULT_PACKAGES += wpad-mini yamonenv
diff --git a/target/linux/avr32/Makefile b/target/linux/avr32/Makefile
index cd8bd5e..f3c0cf6 100644
--- a/target/linux/avr32/Makefile
+++ b/target/linux/avr32/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Atmel AVR32
 FEATURES:=squashfs
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/cns21xx/Makefile b/target/linux/cns21xx/Makefile
index a183a21..5b491f8 100644
--- a/target/linux/cns21xx/Makefile
+++ b/target/linux/cns21xx/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Cavium Networks Econa CNS21xx
 FEATURES:=squashfs
 CPU_TYPE:=fa526
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/cns3xxx/Makefile b/target/linux/cns3xxx/Makefile
index dd5349c..e3c1c6e 100644
--- a/target/linux/cns3xxx/Makefile
+++ b/target/linux/cns3xxx/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE:=mpcore
 CPU_SUBTYPE:=vfp
 MAINTAINER:=Felix Fietkau <nbd@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/gemini/Makefile b/target/linux/gemini/Makefile
index 45ae97e..da5e300 100644
--- a/target/linux/gemini/Makefile
+++ b/target/linux/gemini/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs pci
 CPU_TYPE:=fa526
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 KERNELNAME:=zImage
 
diff --git a/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch b/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch
deleted file mode 100644
index 52c45c3..0000000
--- a/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch
+++ /dev/null
@@ -1,66 +0,0 @@
-From 0db3db45f5bd6df4bdc03bbd5dec672e16164c4e Mon Sep 17 00:00:00 2001
-From: Florian Fainelli <florian@openwrt.org>
-Date: Mon, 12 Nov 2012 12:31:55 +0100
-Subject: [PATCH] MIPS: decompressor: fix build failure on memcpy() in
- decompress.c
-
-The decompress.c file includes linux/kernel.h which causes the following
-inclusion chain to be pulled:
-linux/kernel.h ->
-	linux/dynamic_debug.h ->
-		linux/string.h ->
-			asm/string.h
-
-We end up having a the GCC builtin + architecture specific memcpy() expanding
-into this:
-
-void *({ size_t __len = (size_t n); void *__ret; if
-(__builtin_constant_p(size_t n) && __len >= 64) __ret = memcpy((void *dest),
-(const void *src), __len); else __ret = __builtin_memcpy((void *dest), (const
-void *src), __len); __ret; })
-{
- [memcpy implementation in decompress.c starts here]
- int i;
- const char *s = src;
- char *d = dest;
-
- for (i = 0; i < n; i++)
-  d[i] = s[i];
- return dest;
-}
-
-raising the following compilation error:
-arch/mips/boot/compressed/decompress.c:46:8: error: expected identifier or '('
-before '{' token
-
-There are at least three possibilities to fix this issue:
-
-1) define _LINUX_STRING_H_ at the beginning of decompress.c to prevent
-   further linux/string.h definitions and declarations from being used, and add
-   an explicit strstr() declaration for linux/dynamic_debug.h
-
-2) remove the inclusion of linux/kernel.h because we actually use no definition
-   or declaration from this header file
-
-3) undefine memcpy or re-define memcpy to memcpy thus resulting in picking up
-   the local memcpy() implementation to this compilation unit
-
-This patch uses the second option which is the less intrusive one.
-
-Signed-off-by: Florian Fainelli <florian@openwrt.org>
----
- arch/mips/boot/compressed/decompress.c |    2 --
- 1 file changed, 2 deletions(-)
-
---- a/arch/mips/boot/compressed/decompress.c
-+++ b/arch/mips/boot/compressed/decompress.c
-@@ -10,9 +10,7 @@
-  * Free Software Foundation;  either version 2 of the  License, or (at your
-  * option) any later version.
-  */
--
- #include <linux/types.h>
--#include <linux/kernel.h>
- 
- #include <asm/addrspace.h>
- 
diff --git a/target/linux/ixp4xx/Makefile b/target/linux/ixp4xx/Makefile
index 2b249dc..0fa4090 100644
--- a/target/linux/ixp4xx/Makefile
+++ b/target/linux/ixp4xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 SUBTARGETS=generic harddisk
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/malta/Makefile b/target/linux/malta/Makefile
index e5b16b2..c8dd25b 100644
--- a/target/linux/malta/Makefile
+++ b/target/linux/malta/Makefile
@@ -12,7 +12,7 @@ SUBTARGETS:=le be le64 be64
 INITRAMFS_EXTRA_FILES:=
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 DEVICE_TYPE:=developerboard
 
diff --git a/target/linux/mpc85xx/Makefile b/target/linux/mpc85xx/Makefile
index 3766968..0391018 100644
--- a/target/linux/mpc85xx/Makefile
+++ b/target/linux/mpc85xx/Makefile
@@ -14,7 +14,7 @@ FEATURES:=spe_fpu squashfs
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 SUBTARGETS=generic p1020
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/orion/Makefile b/target/linux/orion/Makefile
index ec40a00..3be1ecd 100644
--- a/target/linux/orion/Makefile
+++ b/target/linux/orion/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Marvell Orion
 SUBTARGETS:=generic harddisk
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ppc40x/Makefile b/target/linux/ppc40x/Makefile
index 00e8d43..4951e6e 100644
--- a/target/linux/ppc40x/Makefile
+++ b/target/linux/ppc40x/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs
 CPU_TYPE:=405
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ppc44x/Makefile b/target/linux/ppc44x/Makefile
index 5c2e15d..0aa4eae 100644
--- a/target/linux/ppc44x/Makefile
+++ b/target/linux/ppc44x/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs broken
 CPU_TYPE:=440
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/realview/Makefile b/target/linux/realview/Makefile
index 8089207..ef2ab67 100644
--- a/target/linux/realview/Makefile
+++ b/target/linux/realview/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE:=mpcore
 CPU_SUBTYPE:=vfp
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 DEVICE_TYPE:=developerboard
 
diff --git a/target/linux/sparc/Makefile b/target/linux/sparc/Makefile
index 0fee7c1..1e3979c 100644
--- a/target/linux/sparc/Makefile
+++ b/target/linux/sparc/Makefile
@@ -11,7 +11,7 @@ BOARD:=sparc
 BOARDNAME:=Sun UltraSPARC
 FEATURES+=fpu tgz ext4 squashfs broken
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
 include $(INCLUDE_DIR)/target.mk
diff --git a/target/linux/x86/Makefile b/target/linux/x86/Makefile
index 32eafdf..622c153 100644
--- a/target/linux/x86/Makefile
+++ b/target/linux/x86/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs ext4 vdi vmdk pcmcia targz
 SUBTARGETS=generic olpc xen_domu ep80579 net5501 kvm_guest geos alix2 thincan \
 	   rdc
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 KERNELNAME:=bzImage
 
diff --git a/target/linux/xburst/Makefile b/target/linux/xburst/Makefile
index 9289739..4c1d160 100644
--- a/target/linux/xburst/Makefile
+++ b/target/linux/xburst/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Ingenic XBurst
 FEATURES:=targz nand ubifs audio
 SUBTARGETS:=qi_lb60 n516 n526 id800wt
 
-LINUX_VERSION:=3.10.49
+LINUX_VERSION:=3.10.58
 
 DEVICE_TYPE=other
 
-- 
1.7.10.4

